Subject: RE: Tracing Draft version-05042003

From: "Abbie Barbir" <[email-masked]>
Date: Thu, 8 May 2003 18:50:44 -0400

Alex,

this is why I said I add few text and resubmit.
We still need to mention it (for the record).

Abbie

> -----Original Message-----
> From: Alex Rousskov [mailto:[email-masked]] 
> Sent: Thursday, May 08, 2003 5:33 PM
> To: Barbir, Abbie [CAR:1A00:EXCH]
> Cc: The Purple Streak, Hilarie Orman; [email-masked]
> Subject: RE: Tracing Draft version-05042003
> 
> 
> 
> On Thu, 8 May 2003, Abbie Barbir wrote:
> 
> > on the proxy issue, I will add proper text and resubmit.
> 
> Please do NOT without further discussion! Application caching 
> is out of OPES scope. If we assume HTTP is being adapted, 
> then HTTP already has all necessary mechanisms that servers 
> can use to get "all requests", even if their responses are 
> cachable. OPES has nothing to do with this. We can explicitly 
> say that OPES is not concerned with application caching if we want to.
> 
> Alex.
> 
> 
> > > -----Original Message-----
> > > From: The Purple Streak, Hilarie Orman [mailto:[email-masked]]
> > > Sent: Thursday, May 08, 2003 4:44 PM
> > > To: Barbir, Abbie [CAR:1A00:EXCH]
> > > Cc: [email-masked]; [email-masked]
> > > Subject: RE: Tracing Draft version-05042003
> > >
> > >
> > > I see a couple of problems that need discussion.  The main one is 
> > > the caching proxy issue.  If OPES is deployed on a caching proxy, 
> > > near the "consumer" end user, then the content provider endpoint 
> > > will not receive a request for each use of the data.  The draft 
> > > seems to ignore this.  I think the server must be provided with a 
> > > signalling capability to ask that some notification of 
> the request 
> > > and the possibility of OPES services be sent on each use 
> of cached 
> > > data.
>